> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/workspaces/multifactor-authentication.md).

# Multifactor authentication

{% hint style="info" %}
This feature is only available for [Devolutions Server](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/server/), [Microsoft Azure SQL](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-azure-sql/), [Microsoft SQL Server](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-sql-server/), and [SQLite](https://docs.devolutions.net/rdm/workspaces/workspace-types/local-workspaces/sqlite/) workspaces.
{% endhint %}

Multifactor authentication (MFA) identifies users by at least two different components: something that the user knows (often a password) and something that the user possesses (e.g., a validation code sent to a mobile device). If one of the components is missing or supplied incorrectly, the user's identity is not established with sufficient certainty and access to the workspace will remain blocked.

MFA is set at the workspace level, except in Devolutions Server, where it is [set on the user](https://docs.devolutions.net/server/web-interface/administration/configuration/server-settings/security/two-factor/). Remote Desktop Manager supports [Authenticator (TOTP)](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/authenticator-totp/), [Yubikey](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/yubikey/), and [Duo](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/duo/).

{% hint style="info" %}
Consult [Lost the MFA set on the workspace](https://docs.devolutions.net/rdm/kb/troubleshooting-articles/lost-the-mfa-set-on-the-workspace/) in the the MFA has been lost.
{% endhint %}

### Configure multifactor authentication on a Microsoft Azure SQL or SQL Server workspace

1. In Remote Desktop Manager, go to the workspace for which you want to configure the MFA.
2. Go to ***File*** – ***My account settings*** and click on ***Workspace MFA***.
3. In the ***Multifactor configuration*** window, click ***Change***.
4. Select your MFA type in the drop-down list.
5. Follow one of the links below depending on the choice made in the previous step:
   * [Authenticator (TOTP)](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/authenticator-totp/)
   * [Yubikey](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/yubikey/)
   * [Duo](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/duo/)

### Configure multifactor authentication on an SQLite workspace

1. In Remote Desktop Manager, go to the workspace for which you want to configure the MFA.
2. Go to ***File*** – ***Workspaces*** and click on the ***Edit workspace*** button.
3. Next to the ***Multifactor*** option, click ***None***.

   ![](https://cdnweb.devolutions.net/docs/docs_en_rdm_windows_RDMWin2150.png)
4. In the ***Multifactor configuration*** window, click ***Change***.
5. Select your MFA type in the drop-down list.
6. Follow one of the links below depending on the choice made in the previous step:
   * [Authenticator (TOTP)](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/authenticator-totp/)
   * [Yubikey](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/yubikey/)
   * [Duo](https://docs.devolutions.net/rdm/workspaces/multi-factor-authentication/duo/)

### Configure multifactor authentication on a Devolutions Cloud workspace

1. In the Devolutions Cloud web UI, head over to ***Administration*** – ***Authentication***.
2. Toggle ***Enforce multi-factor verification on Devolutions Account***. Doing so will force you to set up an MFA as well.

### Configure multifactor authentication on a Devolutions Server workspace user

As mentionned before, multifactor authentication is set on a per-user basis for Devolutions Server workspaces. Here's how do to so:

1. Open the Devolutions Server web UI.
2. Go to ***Administration*** – ***Users***, and ***Edit*** the user you wish to enforce MFA on.
3. In the ***Multi-factor*** tab, select ***Authenticator (TOTP)***. Changing the multifactor authentication of an administrator account requires entering its password.
4. Scan the QR code with your mobile app or use the key and account name to set up your account. Alternatively, you can check the ***Configure later by the user*** to leave those steps to the user.
5. Then, enter the code obtained by scanning the QR code.
6. Click ***Update*** to apply the changes to the user.

#### See also

* [Configure Multi-factor-authentification in Remote Desktop Manager](https://academy.devolutions.net/student/page/2745736-configure-multi-factor-authentification-in-remote-desktop-manager?curriculum_activity_id=4146028\&path_id=2628397\&sid=6b463cb0-a447-42c1-89fa-4ac51e5a7eaa\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/rdm/workspaces/multifactor-authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
